Unit tde56r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE56R_p, FGDE56R_p, FRDE56R_p, DE56R_p;

function tde56r: String;

implementation

function tde56r: String;
var
NX,I,NX1,IERR :Integer;
XN,XK,P,HX,HMIN,EPS,H :Real;
BULDY :Boolean;
Y :Array [0..10] of Real;
DY :Array [0..10] of Real;
X :Array [0..5] of Real;
const
CN :Array [0..2] of Real = ( +1.0,-2.0,0.0 );
CK :Array [0..2] of Real = ( 1.0,2.0,0.0 );
begin
Result := '';  {   }
XN := -1.0;
XK := 1.0;
P := 11.0;
NX := 6;
HX := 2.0/199.0;
BULDY := True;
HMIN := 1.E-10;
EPS := 0.00001;
H := 0.01;
X[0] := -1.0;
X[1] := X[0]+HX;
X[2] := X[1]+2.0*HX;
X[3] := 2.0;
DE56R(FDE56R,FGDE56R,FRDE56R,XN,XK,CN,CK,NX,X,BULDY,HMIN,EPS,P,
     H,Y,DY,NX1,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' NX1=']);
Result := Result + Format('%5d ',[NX1]);
Result := Result + Format('%s',['      Y']);
Result := Result + Format('%s',['      DY' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for I:=1 to NX1 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [Y[I-1],DY[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde56r',Result);  {     tde56r.res }
exit;
end;

end.
